
CoCoALib - Feature #1169

New function: RandomLinearForm (CoCoALib)

19 Mar 2018 09:49 - Anna Maria Bigatti

Status: Closed Start date: 19 Mar 2018

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 2.21 hours

Target version: CoCoALib-0.99600 Spent time: 2.20 hours

Description

Port RandomLinearForm to CoCoALib

Related issues:

Related to CoCoA-5 - Feature #1122: New fn: RandomLinearForm Closed 15 Nov 2017

Related to CoCoALib - Bug #1208:  New function: Threadsafe RandomLinearForm (... New 02 Aug 2018

Related to CoCoALib - Slug #1517: RandomLinearForm Closed 23 Oct 2020

History

#1 - 19 Mar 2018 09:52 - Anna Maria Bigatti

- Status changed from New to Resolved

- % Done changed from 0 to 80

- Estimated time set to 2.01 h

Done.

RandomLinearForm(P) -- if coeff ring of P is F_p

RandomLinearForm(P, n) -- same as RandomLinearForm(P, -n, n)

RandomLinearForm(P, lo, hi) -- lo, hi integers

#2 - 19 Mar 2018 10:23 - Anna Maria Bigatti

- Related to Feature #1122: New fn: RandomLinearForm added

#3 - 19 Mar 2018 10:23 - Anna Maria Bigatti

- Subject changed from New function: RandomLinearForm to New function: RandomLinearForm (CoCoALib)

#4 - 19 Mar 2018 13:26 - John Abbott

I am not so convinced of the utility of RandomLinearForm(P,lo,hi), and suggest commenting it out until we find a genuine need for it.

#5 - 19 Mar 2018 14:24 - Anna Maria Bigatti

John Abbott wrote:

I am not so convinced of the utility of RandomLinearForm(P,lo,hi), and suggest commenting it out until we find a genuine need for it.

 

OK, I put it in anonymous namespace (it is used by the other two functions)
#6 - 16 May 2018 15:02 - John Abbott

I have added RandomLinearForm to documentation for SparsePolyRing.

Probably there should also be a version with interface: RandomLinearForm(P, RndSeq) where RndSeq is of type RandomSeqLong (or perhaps

RandomSeqBigInt).  What do you think?

#7 - 16 May 2018 15:48 - Anna Maria Bigatti

John Abbott wrote:

Probably there should also be a version with interface: RandomLinearForm(P, RndSeq) where RndSeq is of type RandomSeqLong (or

perhaps RandomSeqBigInt).  What do you think?

 

You are right.  Should I do it?

#8 - 02 Aug 2018 16:59 - Anna Maria Bigatti

- Related to Bug #1208:  New function: Threadsafe RandomLinearForm (CoCoALib) added

#9 - 02 Aug 2018 16:59 - Anna Maria Bigatti

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

- Estimated time changed from 2.01 h to 2.21 h

RandomLinearForm(P, RndSeq) has been moved to its own new issue.

#10 - 23 Oct 2020 16:21 - John Abbott

- Related to Slug #1517: RandomLinearForm added
